be.ehealth.businessconnector.wsconsent.builders.impl

## Class AuthorBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.wsconsent.builders.impl.AuthorBuilderImpl

- All Implemented Interfaces:
    AuthorBuilder

      public class AuthorBuilderImpl
      extends Object
      implements AuthorBuilder

  Implementation for `AuthorBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorWithPatientAndPersonType` | `createAuthor()` Method which create AuthorWithPatientAndPersonType object.
    `AuthorWithPatientAndPersonType` | `readFromEidCard()` Method which create AuthorWithPatientAndPersonType object for citizen based on the eid

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorBuilderImpl

          public AuthorBuilderImpl()

  - ### Method Detail

    - #### createAuthor

          public AuthorWithPatientAndPersonType createAuthor()
                                                      throws TechnicalConnectorException,
                                                             WsConsentBusinessConnectorException,
                                                             InstantiationException

      Description copied from interface: `AuthorBuilder`
      Method which create AuthorWithPatientAndPersonType object.
      Specified by:
        `createAuthor` in interface `AuthorBuilder`
      Returns:
        AuthorWithPatientAndPersonType object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`
      See Also:
        `AuthorBuilder.createAuthor()`

    - #### readFromEidCard

          public AuthorWithPatientAndPersonType readFromEidCard()
                                                         throws TechnicalConnectorException

      Description copied from interface: `AuthorBuilder`
      Method which create AuthorWithPatientAndPersonType object for citizen based on the eid
      Specified by:
        `readFromEidCard` in interface `AuthorBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.